% Test the scoring of local graphs for the small example LUCAS
truth_file='Examples/lucas0_feat.parents';
result_file1='Examples/lucasA_feat.localgraph';
result_file2='Examples/lucasB_feat.localgraph';
result_file3='Examples/lucasC_feat.localgraph';

% The original graph, d should be zero
d1=score_local_graph(truth_file, truth_file)
% The structure is unchanged, but some edges are flipped
d2=score_local_graph(truth_file, result_file1)
% The connections are symmetrized (for each edge, the reversed edge is
% added)
d3=score_local_graph(truth_file, result_file2)
% Fully connected net among all variables connected in the original graph
d4=score_local_graph(truth_file, result_file3)

% Same for LUCAP (with probes)
truth_file='Examples/lucap0_feat.parents';
result_file1='Examples/lucapA_feat.localgraph';
result_file2='Examples/lucapB_feat.localgraph';
result_file3='Examples/lucapC_feat.localgraph';

is_probe_net=1;
% The original graph, d should be zero
dd1=score_local_graph(truth_file, truth_file, is_probe_net)
% The structure is unchanged, but some edges are flipped
dd2=score_local_graph(truth_file, result_file1, is_probe_net)
% The connections are symmetrized (for each edge, the reversed edge is
% added)
dd3=score_local_graph(truth_file, result_file2, is_probe_net)
% Fully connected net among all variables connected in the original graph
dd4=score_local_graph(truth_file, result_file3, is_probe_net)

if 1==2
    % Score the results of the milestone
    addpath('Z:\user On My Mac\Isabelle\Projects\IJCNN08\Analysis\PostChallengeExperiments\ScoreCode');
    datasets={'lucas', 'lucap', 'reged', 'cina', 'sido', 'marti'};
    is_probe=[0 1 0 1 1 0];
    datapath='Z:\user On My Mac\Isabelle\Projects\IJCNN08\Data\';
    resupath='Z:\user On My Mac\Isabelle\Projects\IJCNN08\Analysis\PostChallengeExperiments\';
    people={};

    resuname={};
    d=[];
    for k=1:length(people)
        cd([resupath '/' people{k}]);
        dd=dir('*.localgraph');
        datanum=[];
        for j=1:length(dd)
            resuname{k,j}=lower(dd(j).name);
            for i=1:length(datasets)
                if findstr(datasets{i}, resuname{k,j});
                    datanum(j)=i;
                end
            end
        end
        for j=1:length(dd)
            s=datasets{datanum(j)};
            truth_file=[datapath s '0\' s '0_feat.parents'];
            result_file=[ resupath '\' people{k} '\' resuname{k,j}];
            d(k,j)=score_local_graph(truth_file, result_file, is_probe(datanum(j)));
        end
    end

    for k=1:length(people)
        fprintf('%s\n', upper(people{k}));
        for j=1:size(resuname,2)
            if ~isempty(resuname{k,j})
                fprintf('%s\t%g\n', resuname{k,j}, d(k,j));
            end
        end    
    end
end
