function parents=read_parents(filename, varnum)
%parents=read_parents(filename, varnum)
% Read the parent structure from filename
% parents: cell array with n+1 entries, n numnber of features.
% The first line containes the parents of the target (label 0).
% The subsequent lines contain parents of the features
% line 2 -> feature 1, etc.

% Isabelle Guyon -- October 2007 -- isabelle@clopinet.com

if nargin>1
    parents=cell(varnum,1);
end

fid=fopen(filename, 'r');
k=1;
while 1
    tline = fgetl(fid);
    if ~ischar(tline), break, end
    colon=findstr(':', tline);
    tline=tline(colon+1:length(tline));
    parents{k}=sscanf(tline, '%d');
    if isempty(parents{k}) parents{k}=[]; end
    k=k+1;
end
fclose(fid);
parents=parents';